aboutsummaryrefslogtreecommitdiffstats
path: root/deploy/shione/srb2kart/setup.sh
diff options
context:
space:
mode:
authorRenken <renken@shione.net>2024-01-08 21:15:14 +0100
committerRenken <renken@shione.net>2024-05-12 16:49:29 +0200
commitd328f099129dc912289f607bd4913fcb44c73627 (patch)
tree99025a0758b4bb586bc1dc8a293f6bdf25671752 /deploy/shione/srb2kart/setup.sh
parent1d54e783ae1de8a68e2f7bc9ec90631c594c311f (diff)
downloadshione-d328f099129dc912289f607bd4913fcb44c73627.tar.gz
shione-d328f099129dc912289f607bd4913fcb44c73627.zip
deploy: shione: init srb2kart
Diffstat (limited to 'deploy/shione/srb2kart/setup.sh')
-rw-r--r--deploy/shione/srb2kart/setup.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/deploy/shione/srb2kart/setup.sh b/deploy/shione/srb2kart/setup.sh
new file mode 100644
index 0000000..70eb956
--- /dev/null
+++ b/deploy/shione/srb2kart/setup.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -eux
+
+# Install both build and runtime dependencies.
+#
+# Build dependencies are install just in case srb2kart needs to be compiled on
+# shione.
+apt install \
+ make \
+ git \
+ nasm \
+ gcc \
+ libsdl2-mixer-dev \
+ libpng-dev \
+ libcurl4-openssl-dev \
+ libgme-dev \
+ libopenmpt-dev
+
+# The user `srb2kart` is used by default here.
+su srb2kart
+cd --